Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.stockquote
Class StockQuote

    java.lang.Object
      org.mule.example.stockquote.StockQuote

All Implemented Interfaces:
  Serializable

    public class StockQuote

extends Object
implements Serializable

A stock Quote object that is crated from the xml returned from the http://www.webservicex.net/stockquote.asmx service

See Also:
  Serialized Form

Constructor Summary
`StockQuote()`

Method Summary
`String` | `getChange()`
`String` | `getDate()`
`String` | `getHigh()`
`String` | `getLast()`
`String` | `getLow()`
`String` | `getName()`
`String` | `getOpen()`
`String` | `getPreviousClose()`
`String` | `getSymbol()`
`String` | `getVolume()`
`void` | `setChange(String change)`
`void` | `setDate(String date)`
`void` | `setHigh(String high)`
`void` | `setLast(String last)`
`void` | `setLow(String low)`
`void` | `setName(String name)`
`void` | `setOpen(String open)`
`void` | `setPreviousClose(String previousClose)`
`void` | `setSymbol(String symbol)`
`void` | `setVolume(String volume)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StockQuote

    public StockQuote()

Method Detail

### getSymbol

    public String getSymbol()

### setSymbol

    public void setSymbol(String symbol)

### getLast

    public String getLast()

### setLast

    public void setLast(String last)

### getChange

    public String getChange()

### setChange

    public void setChange(String change)

### getOpen

    public String getOpen()

### setOpen

    public void setOpen(String open)

### getHigh

    public String getHigh()

### setHigh

    public void setHigh(String high)

### getLow

    public String getLow()

### setLow

    public void setLow(String low)

### getVolume

    public String getVolume()

### setVolume

    public void setVolume(String volume)

### getPreviousClose

    public String getPreviousClose()

### setPreviousClose

    public void setPreviousClose(String previousClose)

### getName

    public String getName()

### setName

    public void setName(String name)

### getDate

    public String getDate()

### setDate

    public void setDate(String date)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.